## org.apache.lucene.search
Class FilterManager.FilterItem

    java.lang.Object
      org.apache.lucene.search.FilterManager.FilterItem

Enclosing class:
  FilterManager

    protected class FilterManager.FilterItem

extends java.lang.Object

Holds the filter and the last time the filter was used, to make LRU-based cache cleaning possible. TODO: Clean this up when we switch to Java 1.5

Field Summary
`Filter` `filter`
`long` `timestamp`

Constructor Summary
`FilterManager.FilterItem(Filter filter)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filter

    public Filter filter

### timestamp

    public long timestamp

Constructor Detail

### FilterManager.FilterItem

    public FilterManager.FilterItem(Filter filter)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.